Subject: Re: Unidentified subject!

From: [email-masked]
Date: Mon, 24 Dec 2001 11:24:53 +0000

I've had the patches on a netatalk server (rc2,Linux 7.1) since friday - tried
to copy across a chunk o'stuff (800mb+), failed with -37. I got one DID conflict
yesterday. Used did=last.

In another, more subtle problem...
every night, the Macos X server builds afresh a set of products and attempts to
copy (using the HFS API) those products (each containing a large number of
files) to a volume mounted via netatalk. It occasionally fails on the same 2
sets of products, one large, one small. Unfortunately, the error output is not
all it should be but, from looking at the code, it would *appear* to barfing on
a permissions problem. The directory permissions look ok to me :-(

I *think* it's a resource fork problem - the .AppleDouble files look
suspiciously recent on the failed hierarchies and the copied structure looks the
same as it's source.

This has happened regardless of the release candidate - 0.9, 1 or 2.

Roger
At 24/12/2001 04:04:30, Joe Clarke <[email-masked]> wrote:
#  On Sun, 2001-12-23 at 22:16, Rick Zeman wrote:
#  > On 12/23/01 5:45 PM, "Rick Zeman" <[email-masked]> wrote:
#  >
#  > > On 12/22/01 6:53 PM, "Joe Clarke" <[email-masked]> wrote:
#  > >
#  > >> On Sat, 2001-12-22 at 16:45, Rick Zeman wrote:
#  > >>> On 12/22/01 4:35 PM, "Joe Clarke" <[email-masked]> wrote:
#  > >>>
#  > >>>> Has anyone tried these patches yet?  I'm curious to know if the -50
#  > >>>> errors have gone away.
#  > >>>>
#  > >>>> Joe
#  > >>>
#  > >>> I have tried them and I've yet to get the -50 with did=last and NO
flocks.
#  > >>
#  > >> Cool.  If all goes well, I may merge in the changes so to make the
#  > >> release.  Tell me, are you seeing any DID conflict messages in your
#  > >> syslog?
#  > >
#  > > Nope
#  >
#  > I lied big-time.  I have a mount point (/mac) that's purely Mac files
(~4500
#  > files, 1.4 GB).  When I first compiled rc2, I recreated all of the files
#  > (it's a mirror of another server).  This was with did=hash.  All worked
#  > fine, but was told it wasn't safe.  Recompiled with the patches and
#  > configured did=last.  Still worked well, adding and subtracting small
#  > amounts of files.
#  >
#  > Recreated the contents of /mac from scratch and all hell broke
#  > loose....HUNDREDS of DID errors...and a totally confused file structure.
#  > Recompiled with did=hash (if I do this any more, I'm going to have to have
#  > separate compile directories) and the 1.4 GB went back into /mac without an
#  > error.
#
#  That's strange.  I copied my Mac OS X System folder to a Netatalk volume
#  (26000 files) under OS 9.2.2, and it went off without a hitch.
#
#  Can you send me a copy of the directory.h you're using?  Also, did you
#  get any Finder errors (-50, -43, etc.)?  What Mac OS did you use to do
#  the copies.
#
#  Also, if you can reproduce the problem, I have a Perl script I'd like
#  you to run to help me track things down.
#
#  Joe
#
#  >
#  > Something tells me that did=last with the patches freaks when coping
#  > thousands of files or a large amount on disk.
#  >
#  > --
#  > "So Long, and Thanks For All the Fish."
#  >        --Douglas Adams
#  >           1952-2001
#  >
#  >

Roger

---

From: Jason Quigley <[email-masked]>
Date: Mon, 24 Dec 2001 13:11:22 +0100

> From: [email-masked]
> Date: Mon, 24 Dec 2001 11:24:53 +0000
> To: [email-masked]
> Cc: netatalk-admins <[email-masked]>, Rick Zeman <[email-masked]>
> Subject: Unidentified subject!
> Resent-From: [email-masked]
> Resent-Date: Mon, 24 Dec 2001 06:25:12 -0500 (EST)
> 

This error normally indicates that one of the filenames is too long for the
netatalk volume.

I suppose progress on this problem can occur when the CNID code has
stabilised. I'm going to start studying C (Shouldn't be too difficult as I
can already code in perl and other languages) as I'll hopefully have some
time next year to start helping.

Cheers,
Jason.

---

From: Steve Freitas <[email-masked]>
Date: Mon, 24 Dec 2001 08:30:16 -0800

> to copy across a chunk o'stuff (800mb+), failed with -37. I got one DID
> conflict yesterday. Used did=last.

Yeah, I've had the same problem with unpatched Netatalk. It's strange --
I'll do a big copy, and it'll barf on a particular file with -37. Then I try
to copy the offending file individually, and it works fine. Sometimes the
filename contains an unusual character (e.g. cmd-8), sometimes it doesn't.
With some decent logging we could solve stuff like this faster...

Steve

---

From: Joe Clarke <[email-masked]>
Date: 24 Dec 2001 13:50:00 -0500

> yesterday. Used did=last.

Please try with the attached directory.h, and see if the DID problems
subside.

Joe